Page MenuHomePhabricator

Apply changes action is enabled on several dialogs before any changes are made
Closed, ResolvedPublic

Description

The "Apply changes" button should appear grey and be disabled when a dialog is first opened, until changes are made; however, on some dialogs, it is blue and already active.

Affected dialogs (see also table of screenshots in T202575#4551941):

Related Objects

Event Timeline

Tchanders created this task.Oct 2 2018, 5:49 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 2 2018, 5:49 PM
Tchanders updated the task description. (Show Details)Oct 2 2018, 5:50 PM
Tchanders moved this task from To Triage to Q4 on the VisualEditor board.Oct 3 2018, 2:45 PM
JTannerWMF moved this task from Q4 to Current work on the VisualEditor board.Oct 3 2018, 4:58 PM
JTannerWMF edited projects, added VisualEditor (Current work); removed VisualEditor.
Tchanders claimed this task.Oct 8 2018, 3:32 PM
Tchanders moved this task from Incoming to In progress on the VisualEditor (Current work) board.
marcella removed Tchanders as the assignee of this task.Nov 7 2018, 1:43 PM
matmarex claimed this task.Nov 7 2018, 3:06 PM
matmarex updated the task description. (Show Details)Nov 15 2018, 2:58 PM
matmarex updated the task description. (Show Details)Nov 15 2018, 11:35 PM
matmarex updated the task description. (Show Details)Jan 9 2019, 7:45 PM
matmarex moved this task from Code review to QA on the VisualEditor (Current work) board.

All of the known issues (subtasks) are resolved. I guess we just want to double-check that all dialogs behave correctly now.

Esanders moved this task from Inbox to Low Priority on the Editing QA board.Feb 7 2019, 7:07 PM
Ryasmeen moved this task from QA to Product owner review on the VisualEditor (Current work) board.
Ryasmeen removed a project: Editing QA.
ppelberg closed this task as Resolved.Mar 6 2019, 7:59 PM